.stock-company-name{
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 40px;
    text-transform: uppercase;
}

.stock-update-time{
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
}

.stock-price-box{
    display: flex;
    flex-direction: row;
    align-items: center;
}

.stock-price-note {
    column-gap: 10px;
    margin-bottom: 25px;
    flex-direction: row;
    display: flex;
}

.stock-price-lastupdate {
    font-size: 14px;
}

[data-stock="(08529.HK)"] {
    padding: 0;
    background-color: transparent;
    font-size: 14px;
    color: #212529;
}

.stock_disclaimer_btn {
    border: none;
}

.stock_disclaimer_btn:hover {
    background-color: transparent;
    color: #b8d765;
}

.stock-price-value{
    font-weight: bold;
    font-size: 64px;
}

.stock-price-change,
.stock-price-changepercentage{
    font-size: 36px;
    margin-left: 20px;
}

.stock-price-change i,
.stock-price-changepercentage i {
    margin-right: 10px;
}

.stock-other-detail{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
}

.stock-od-item{
    border-bottom: 1px solid #f5cec9;
    margin-bottom: 20px;
    width: 48.5%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-bottom: 10px;
}

.sod-label{
    font-weight: 600;
}

.btn-periodgroup{
    width: 100%;
    gap: 20px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    overflow-x: auto;
}

.btn-periodgroup .btn{
    background-color: #243E91;
    color: white;
}

.btn-periodgroup .btn.active{
    background-color: white;
    color: #243E91;
}

.sod-row{
    display: flex;
    flex-direction: row;
}

.stock-top-info {
    margin-bottom: 40px;
}

@media screen and (max-width: 1199px) {
    .stock-od-item{
        width: 100%;
    }

    .stock-price-value {
        font-size: 48px;
    }

    .stock-price-change, .stock-price-changepercentage {
        font-size: 28px;
    }
    .btn-periodgroup .btn{
        font-size: 16px;
    }
}

@media screen and (max-width: 991px) {
    .stock-company-name{
        font-size: 20px;
    }
}

@media screen and (max-width: 640px) {
    .sod-label,
    .sod-value{
        font-size: 16px;
    }

    .stock-company-name{
        font-size: 18px;
        text-align: center;
    }
    
    .stock-price-value {
        font-size: 24px;
    }

    .stock-price-change, .stock-price-changepercentage {
        font-size: 18px;
    }

    .stock-od-item{
        padding-bottom: 20px;
        flex-direction: column;
        align-items: center;
    }
    
    .sod-label {
        margin-bottom: 10px;
    }

    .stock-update-time{
        margin-bottom: 5px;
    }

    .stock-update-time{
        text-align: center;
    }
    
    .stock-price-box {
        justify-content: center;
    }

    .stock-price-change, .stock-price-changepercentage {
        font-size: 16px;
    }

    .sod-row span{
        font-size: 16px;
    }
}

@media screen and (max-width: 640px) {
 
}